eclipse4.8版本编译Java8的lambda表达式报错 急急急! ?报错-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

eclipse4.8版本编译Java8的lambda表达式报错 急急急! ?报错

爱吃鱼的程序员 2020-06-23 00:11:42 153

新入职,公司用的Java8。然后新装了eclipse,版本是4.8.0图片说明
但是编写的lambda表达式,一直报编译报错。图片说明
jdk我是配置的1.8,如图图片说明
eclipse配置的编译器也是1.8图片说明

Java 编译器 Android开发
分享到
取消 提交回答
全部回答(1)
  • 爱吃鱼的程序员
    2020-06-23 00:12:01
    =>这个是js、C#的写法java是->

    而且也不是Where,而是filter,你整个是C#LINQ啊

    上午装过另外一个版本的jdk,是在官网下载的,然后安装后,版本不符合,删除了对应的注册表。不知道这个有没有影响

    卸载当前jdk安装最近jdk可能会好转

    0 0
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题
推荐课程